.\" sd.4
.\" Copyright 1992 Rickard E. Faith (faith@cs.unc.edu)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\"    :   (last@last.ulsu.ru) 20010120
.TH SD 4 "  17 10:15:53 1992" "" "  Linux"
.SH 
sd \-     SCSI
.SH  
#include <linux/hdreg.h>        /*  HDIO_GETGEO */
#include <linux/fs.h>           /*  BLKGETSIZE  BLKRRPART */
.SH 
    :
.BI sd lp,

.IR l "\~--"
,   , 
.IR p "\~--"
,     ֣ .  
 
.IR p
,     .

 SCSI     8,     
 (16 *
.IR _ ") + " _ ,

.IR _ "\~--"
      , 
.I partition_number
  :
.sp
 0 --   
.br
 1-4 --   DOS
.br
 5-8 --  ( )  DOS

,
.B /dev/sda
    8,  0,     
SCSI-  ;
.B /dev/sdb3
    8,  19,     
 DOS   SCSI-  .

        .
    (raw devices) ݣ  .
.SH 
  
.IR ioctl :
.TP
.B HDIO_GETGEO
.RS
    BIOS   :
.RS
.nf
.ft B
struct hd_geometry {
      unsigned char heads;
      unsigned char sectors;
      unsigned short cylinders;
      unsigned long start;
};
.ft R
.fi
.RE

      
.BR ioctl (2) .

,   ,   
.I "    DOS!"

.I " "
  .  ,    
        
.BR fdisk (1), efdisk "(1),  " lilo (1).
    ,    
 .
.RE
.TP
.B BLKGETSIZE
    .  
.BR ioctl (2)
   
.BR long .
.TP
.B BLKRRPART
     SCSI .    
.

  
.BR ioctl ,
  
.BR scsi (4).
 
.BR ioctl (2)
   NULL, 
.BR ioctl ()
 -EINVAL.
.SH 
/dev/sd[a-h]:  
.br
/dev/sd[a-h][0-8]:   
.SH " "
.BR scsi (4)
